Opened 9 years ago

Last modified 9 years ago

#13176 closed enhancement

Upgrade sage-mode to 0.7 — at Version 4

Reported by: kcrisman Owned by: was
Priority: minor Milestone: sage-5.2
Component: packages: optional Keywords: sage-mode
Cc: iandrus, ncalexan Merged in:
Authors: Nick Alexander Reviewers: Ivan Andrus
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description (last modified by kcrisman)

There is a little confusion about the latest sage-mode - see, for example, this ask.sagemath.org question. On the more or less official wiki page, it is definitely at 0.7, but on the optional spkg page (and when downloading via sage -i sage-mode one only gets 0.6. This needs an upgrade.

#1861 and #2666 are related, but ancient. The SPKG.txt should at least be updated a little, for sure post 0.7 since the maintainer has changed.

Change History (4)

comment:1 Changed 9 years ago by kcrisman

Along the way, note the litany of errors reported with 0.7 at the ask.sagemath question.

comment:2 Changed 9 years ago by kcrisman

With respect to #1861, when upgrading, make sure that somewhere in the documentation, wiki, bitbucket, whatever, there is a place that says this was inspired by ipython.el originally. It sounds like the current version isn't really adapted from it at all, though.

Last edited 9 years ago by kcrisman (previous) (diff)

comment:3 Changed 9 years ago by kcrisman

  • Description modified (diff)

#1861's issues have already been dealt with on the wiki, which is more or less official, so that is good now.

The spkg is located here. I see that 0.8 has all the other good changes mentioned at #1861 and elsewhere.

A question about the 0.8 spkg, though perhaps that doesn't belong here:

$ hg st
? emacs/sage-load.el

Ivan, do you think the goal of this ticket should be 0.7 on the optional spkg? If so, then since Nick wrote it, you can review it. For 0.8, though, you'd have to find someone else to review it, and that could take a while. I recommend the former course. In that case we can open another ticket for 0.8, where all these doc issues are 100% taken care of, I already given positive review to that stuff and the spkg qua spkg (well, except for the thing above!).

comment:4 Changed 9 years ago by kcrisman

  • Authors set to Nick Alexander
  • Description modified (diff)
  • Reviewers set to Ivan Andrus
  • Status changed from new to needs_review
Note: See TracTickets for help on using tickets.